| Flutter Windows Embedder |

Public Member Functions | List of all members
flutter::testing::MockFlutterWindowsView Class Reference
Inheritance diagram for flutter::testing::MockFlutterWindowsView:

## Public Member Functions
| MockFlutterWindowsView (FlutterWindowsEngine *engine, std::unique_ptr< WindowBindingHandler > wbh)
| ~MockFlutterWindowsView ()
| MOCK_METHOD (void, NotifyWinEventWrapper,(ui::AXPlatformNodeWin *, ax::mojom::Event),(override))
| MOCK_METHOD (HWND, GetWindowHandle,(),(const, override))
| MOCK_METHOD (bool, Focus,(),(override))
Public Member Functions inherited from flutter::FlutterWindowsView
| FlutterWindowsView (FlutterViewId view_id, FlutterWindowsEngine *engine, std::unique_ptr< WindowBindingHandler > window_binding, bool is_sized_to_content, const BoxConstraints &box_constraints, FlutterWindowsViewSizingDelegate *sizing_delegate=nullptr, std::shared_ptr< WindowsProcTable > windows_proc_table=nullptr)
virtual | ~FlutterWindowsView ()
FlutterViewId | view_id () const
bool | IsImplicitView () const
void | CreateRenderSurface ()
egl::WindowSurface * | surface () const
virtual HWND | GetWindowHandle () const
FlutterWindowsEngine * | GetEngine () const
void | ForceRedraw ()
virtual bool | ClearSoftwareBitmap ()
virtual bool | PresentSoftwareBitmap (const void *allocation, size_t row_bytes, size_t height)
FlutterWindowMetricsEvent | CreateWindowMetricsEvent () const
void | SendInitialBounds ()
virtual void | AnnounceAlert (const std::wstring &text)
void | OnHighContrastChanged () override
bool | OnEmptyFrameGenerated ()
bool | OnFrameGenerated (size_t width, size_t height)
virtual void | OnFramePresented ()
bool | OnWindowSizeChanged (size_t width, size_t height) override
void | OnWindowRepaint () override
void | OnPointerMove (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id, int modifiers_state) override
void | OnPointerDown (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id, FlutterPointerMouseButtons button) override
void | OnPointerUp (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id, FlutterPointerMouseButtons button) override
void | OnPointerLeave (double x, double y, FlutterPointerDeviceKind device_kind, int32_t device_id=0) override
virtual void | OnPointerPanZoomStart (int32_t device_id) override
virtual void | OnPointerPanZoomUpdate (int32_t device_id, double pan_x, double pan_y, double scale, double rotation) override
virtual void | OnPointerPanZoomEnd (int32_t device_id) override
void | OnText (const std::u16string &) override
void | OnKey (int key, int scancode, int action, char32_t character, bool extended, bool was_down, KeyEventCallback callback) override
void | OnFocus (FlutterViewFocusState focus_state, FlutterViewFocusDirection direction) override
void | OnComposeBegin () override
void | OnComposeCommit () override
void | OnComposeEnd () override
void | OnComposeChange (const std::u16string &text, int cursor_pos) override
void | OnScroll (double x, double y, double delta_x, double delta_y, int scroll_offset_multiplier, FlutterPointerDeviceKind device_kind, int32_t device_id) override
void | OnScrollInertiaCancel (int32_t device_id) override
virtual void | OnUpdateSemanticsEnabled (bool enabled) override
virtual gfx::NativeViewAccessible | GetNativeViewAccessible () override
virtual void | OnCursorRectUpdated (const Rect &rect)
virtual void | OnResetImeComposing ()
void | OnDwmCompositionChanged ()
ui::AXPlatformNodeWin * | AlertNode () const
virtual ui::AXFragmentRootDelegateWin * | GetAxFragmentRootDelegate () override
virtual void | UpdateSemanticsEnabled (bool enabled)
std::weak_ptr< AccessibilityBridgeWindows > | accessibility_bridge ()
void | OnWindowStateEvent (HWND hwnd, WindowStateEvent event) override
virtual bool | Focus ()

## Additional Inherited Members
Public Types inherited from flutter::WindowBindingHandlerDelegate
using | KeyEventCallback = std::function< void(bool)>
Protected Member Functions inherited from flutter::FlutterWindowsView
virtual void | NotifyWinEventWrapper (ui::AXPlatformNodeWin *node, ax::mojom::Event event)
virtual std::shared_ptr< AccessibilityBridgeWindows > | CreateAccessibilityBridge ()

## Detailed Description

Definition at line 768 of file flutter_windows_engine_unittests.cc.

## Constructor & Destructor Documentation

## ◆ MockFlutterWindowsView()

flutter::testing::MockFlutterWindowsView::MockFlutterWindowsView | ( | FlutterWindowsEngine * | engine,
|  | std::unique_ptr< WindowBindingHandler > | wbh
| ) |  |
| inline

Definition at line 770 of file flutter_windows_engine_unittests.cc.

772 : FlutterWindowsView(kImplicitViewId,
773 engine,
774 std::move(wbh),
775 false,
776 BoxConstraints()) {}
flutter::FlutterWindowsView::FlutterWindowsView
FlutterWindowsView(FlutterViewId view_id, FlutterWindowsEngine *engine, std::unique_ptr< WindowBindingHandler > window_binding, bool is_sized_to_content, const BoxConstraints &box_constraints, FlutterWindowsViewSizingDelegate *sizing_delegate=nullptr, std::shared_ptr< WindowsProcTable > windows_proc_table=nullptr)
Definition: flutter_windows_view.cc:104
flutter::kImplicitViewId
constexpr FlutterViewId kImplicitViewId
Definition: flutter_windows_engine.h:56

## ◆ ~MockFlutterWindowsView()

flutter::testing::MockFlutterWindowsView::~MockFlutterWindowsView | ( |  | ) |
| inline

Definition at line 777 of file flutter_windows_engine_unittests.cc.

777 {}

## Member Function Documentation

## ◆ MOCK_METHOD() [1/3]

flutter::testing::MockFlutterWindowsView::MOCK_METHOD | ( | bool | ,
|  | Focus | ,
|  | () | ,
|  | (override) |
| ) |  |

## ◆ MOCK_METHOD() [2/3]

flutter::testing::MockFlutterWindowsView::MOCK_METHOD | ( | HWND | ,
|  | GetWindowHandle | ,
|  | () | ,
|  | (const, override) |
| ) |  |

## ◆ MOCK_METHOD() [3/3]

flutter::testing::MockFlutterWindowsView::MOCK_METHOD | ( | void | ,
|  | NotifyWinEventWrapper | ,
|  | (ui::AXPlatformNodeWin *, ax::mojom::Event) | ,
|  | (override) |
| ) |  |

The documentation for this class was generated from the following file:

- shell/platform/windows/flutter_windows_engine_unittests.cc